HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetPaymentIntentsIntent

Contains the different functions to run the operation getPaymentIntentsIntent

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourceGetPaymentIntentsIntent.hs
valuegetPaymentIntentsIntent
  1. :: MonadHTTP m
  2. => GetPaymentIntentsIntentParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetPaymentIntentsIntentResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/payment_intents/{intent}

<p>Retrieves the details of a PaymentIntent that has previously been created. </p>

<p>Client-side retrieval using a publishable key is allowed when the <code>client_secret</code> is provided in the query string. </p>

<p>When retrieved with a publishable key, only a subset of properties will be returned. Please refer to the <a href="#payment_intent_object">payment intent</a> object reference for more details.</p>

Defines the object schema located at paths./v1/payment_intents/{intent}.GET.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation getPaymentIntentsIntent.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetPaymentIntentsIntentResponseError is used.

Constructors

Instances2Eq, Show